import request from '@/utils/request'

// 查询对讲机列表
export function listWalkieTalkie(query) {
  return request({
    url: '/dev/walkieTalkie/list',
    method: 'get',
    params: query
  })
}

// 查询对讲机详细
export function getWalkieTalkie(id) {
  return request({
    url: '/dev/walkieTalkie/' + id,
    method: 'get'
  })
}

// 新增对讲机
export function addWalkieTalkie(data) {
  return request({
    url: '/dev/walkieTalkie',
    method: 'post',
    data: data
  })
}

// 修改对讲机
export function updateWalkieTalkie(data) {
  return request({
    url: '/dev/walkieTalkie',
    method: 'put',
    data: data
  })
}

// 删除对讲机
export function delWalkieTalkie(id) {
  return request({
    url: '/dev/walkieTalkie/' + id,
    method: 'delete'
  })
}
